%define kde_root %(kde-config --prefix)

Name:         kUWC
Version:      1.0
Release:      3
Summary:      A utility for viewing and converting WebShots wallpaper files
URL:          http://uwc.apinc.org/
Source:       http://kuwc.TODO/%{name}-%{version}-%{release}.tar.bz2
License:      BSD
Group:        System/GUI/KDE
Requires:     python
BuildArch:    noarch
BuildRoot:    %{_tmppath}/build-%{name}-%{version}

%description
A utility for viewing and converting WebShots wallpaper files

%debug_package

%prep
%setup -q -n %{name}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --kde-prefix=%{kde_root} --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README COPYING TODO ChangeLog

%changelog
* Sun Aug 20 2006 Serge Weinstock <serge.weinstock@ntlworld.com> 1.0.3
- version 1.0.3:
  Added a preview to the "save all images" dialog
* Mon Jul 31 2006 Serge Weinstock <serge.weinstock@ntlworld.com> 1.0.2
- version 1.0.2:
  A few bug fixes:
   - better handling of error which occurs during the reading of a file
   - fixed a missing translation in the French version
   - added a ChangeLog
* Tue Jul 21 2006 Serge Weinstock <serge.weinstock@ntlworld.com> 1.0.1
- Creation
