#!/usr/bin/env python
# -*- coding: utf-8 -*-
#*****************************************************************************
#       Copyright (C) 2006 Serge Weinstock <serge.weinstock@ntlworld.com>
#  Distributed under the terms of the BSD License.  The full license is in
#  the file COPYING, distributed as part of this software.
#*****************************************************************************
"""
All the shared informations about the program and the current release
"""
def I18N_NOOP(str):
    """Workaround the fact that PyKDE doesn't provide a I18N_NOOP"""
    return str

appname = "kUWC"

name = I18N_NOOP("Ultimate WebShots Converter")

version = "1.0.3"

copyright = "© 2006 Serge Weinstock"

url = "http://uwc.apinc.org"

download_url = "http://uwc.apinc.org/download.php?lang=en"

report_bugs_url = "bugs@todo"

license = "BSD"

description = I18N_NOOP('A utility for viewing and converting WebShots wallpaper files')

long_description = """
kUWC is the port to Linux of the "Ultimate WebShots Converter" (http://uwc.apinc.org)
This utility allows to display and convert the following WebShots files:
 .WBC and .WBP - Webshots Collections
 .WBZ - Downloaded Webshots pictures
 .WB1 and .WBD - Webshots pictures
"""
authors = {
    'Serge' : ('Serge Weinstock', 'Author', 'serge.weinstock@ntlworld.com', 'http://todo'),
    'Setaou' : ('Setaou', 'Author', 'uwc@apinc.org', 'http://uwc.apinc.org/'),
    }

credits = {
    }

platforms = ['Linux']

keywords = ['KDE','Konqueror','Wallpaper', 'WebShots']

group = "System/GUI/KDE"
